Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5117)
@@ -1306,18 +1306,18 @@
 
       SUBROUTINE find_bassin(lat,lon,bassin)
-      use isotrac_mod, ONLY: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
+      USE isotrac_mod, ONLY: izone_poubelle,ntraceurs_zone=>ntiso,option_traceurs, &
 &        bassin_map
 #ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
 #endif
       IMPLICIT NONE
 
       ! inputs
-      real lat,lon
+      REAL lat,lon
       ! output
-      integer bassin
+      INTEGER bassin
       !locals
-      logical continu
-      !logical is_in_bassin
+      LOGICAL continu
+      !LOGICAL is_in_bassin
 
       continu=.TRUE.
@@ -1332,5 +1332,5 @@
 !!      WRITE(*,*) 'find_bassin 169: lat,lon,bassin=',lat,lon,bassin
 !#endif       
-         if (is_in_bassin(lat,lon,bassin)) THEN
+         IF (is_in_bassin(lat,lon,bassin)) THEN
                 continu=.FALSE.
 #ifdef ISOVERIF                 
@@ -1343,5 +1343,5 @@
              bassin=bassin+1
          endif
-         if (bassin.eq.izone_poubelle) THEN
+         IF (bassin.EQ.izone_poubelle) THEN
                 continu=.FALSE.
                 bassin=izone_poubelle
@@ -1365,21 +1365,21 @@
         USE dimphy, ONLY: klev
         USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
-        use isotrac_mod, ONLY: bassin_map,option_traceurs,boite_map
-#ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotrac_mod, ONLY: bassin_map,option_traceurs,boite_map
+#ifdef ISOVERIF
+        USE isotopes_verif_mod
 #endif
         IMPLICIT NONE
-        real presnivs(klev)
-
-       if (option_traceurs.eq.3) THEN
+        REAL presnivs(klev)
+
+       IF (option_traceurs.EQ.3) THEN
            ! initialisation de bassin_map
            CALL bassin_map_init(latitude_deg,longitude_deg,bassin_map)
-       else if (option_traceurs.eq.20) THEN
+       ELSE IF (option_traceurs.EQ.20) THEN
            ! initialisation de bassin_map selon < ou > 35° lat
            WRITE(*,*) 'physiq 1681: init de la map pour tag 20'
            CALL bassin_map_init_opt20(latitude_deg,bassin_map)
-       else if (option_traceurs.eq.5) THEN
+       ELSE IF (option_traceurs.EQ.5) THEN
            CALL boite_AMMA_init(latitude_deg,longitude_deg,presnivs,boite_map)
-       else if (option_traceurs.eq.21) THEN
+       ELSE IF (option_traceurs.EQ.21) THEN
            CALL boite_UT_extra_init(latitude_deg,longitude_deg,presnivs,boite_map)
        endif
@@ -1391,5 +1391,5 @@
         USE dimphy, ONLY: klon
 #ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
 #endif
 
@@ -1397,9 +1397,9 @@
 
         ! inputs
-        real lat(klon),lon(klon)
+        REAL lat(klon),lon(klon)
         ! output
-        integer bassin_map(klon)
+        INTEGER bassin_map(klon)
         ! locals
-        integer i
+        INTEGER i
 
         do i=1,klon
@@ -1417,11 +1417,11 @@
         IMPLICIT NONE
         ! inputs 
-        real x,y
+        REAL x,y
         ! point en haut à gauche         
-        real x1,y1
+        REAL x1,y1
         ! point en bas à droite
-        real x2,y2
+        REAL x2,y2
         ! output
-        logical is_in_rectangle
+        LOGICAL is_in_rectangle
 
 !#ifdef ISOVERIF        
@@ -1429,6 +1429,6 @@
 !        WRITE(*,*) 'x1,y1,x2,y2=',x1,y1,x2,y2
 !#endif         
-        if ((x-x2.lt.0.1).and.(x-x1.gt.-0.1).and. &
-                  (y-y1.lt.0.1).and.(y-y2.gt.-0.1)) THEN
+        IF ((x-x2.lt.0.1).AND.(x-x1.gt.-0.1).AND. &
+                  (y-y1.lt.0.1).AND.(y-y2.gt.-0.1)) THEN
           is_in_rectangle=.TRUE.
         else
@@ -1444,18 +1444,18 @@
         IMPLICIT NONE
         ! inputs
-        real x,y
+        REAL x,y
         ! points dans le sens trigo
         ! à gauche
-        real x1,y1
+        REAL x1,y1
         ! en bas
-        real x2,y2
+        REAL x2,y2
         ! à droite
-        real x3,y3
+        REAL x3,y3
         ! output
-        logical is_in_triangle
+        LOGICAL is_in_triangle
         ! locals
-        real det1
-        real det2
-        real det3
+        REAL det1
+        REAL det2
+        REAL det3
 !#ifdef ISOVERIF
 !        WRITE(*,*) 'is_in_triange 271: x,y=',x,y
@@ -1466,5 +1466,5 @@
         det3=(x3-x)*(y1-y)-(y3-y)*(x1-x)
         is_in_triangle=.FALSE.
-        if ((det1*det2.gt.0.0).and.(det2*det3.gt.0.0)) THEN
+        IF ((det1*det2.gt.0.0).AND.(det2*det3.gt.0.0)) THEN
           is_in_triangle=.TRUE.
         else
@@ -1488,11 +1488,11 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        real t(klon,klev)
+        REAL t(klon,klev)
         ! locals
-        integer izone_temp 
-        integer ixt,ixt_recoit
-        integer k,i,izone,iiso
+        INTEGER izone_temp
+        INTEGER ixt,ixt_recoit
+        INTEGER k,i,izone,iiso
         !integer find_index
       
@@ -1501,5 +1501,5 @@
           do i=1,klon
 !#ifdef ISOVERIF
-!            if (i.eq.1) THEN
+!            if (i.EQ.1) THEN
 !                WRITE(*,*) 'recolorise 396: i,k,t=',i,k,t(i,k)
 !                WRITE(*,*) 'zone_temp=',zone_temp
@@ -1510,5 +1510,5 @@
 
 !#ifdef ISOVERIF
-!            if (i.eq.1) THEN
+!            if (i.EQ.1) THEN
 !                WRITE(*,*) 'recolorise 414: izone_temp=',izone_temp
 !            endif
@@ -1518,10 +1518,10 @@
                ! températures plus basses sont convertis
 !#ifdef ISOVERIF
-!            if (i.eq.1) THEN
+!            if (i.EQ.1) THEN
 !                WRITE(*,*) 'recolorise 405: izone,xt_eau=',
 !     :               izone,xt(index_trac(izone,iso_eau),i,k)  
 !            endif
 !#endif                 
-               if (izone.lt.izone_temp) THEN
+               IF (izone.lt.izone_temp) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1532,5 +1532,5 @@
                endif  !if (izone.lt.izone_temp) THEN
 !#ifdef ISOVERIF
-!            if (i.eq.1) THEN
+!            if (i.EQ.1) THEN
 !                WRITE(*,*) 'recolorise 419: xt_eau,xt_recoit=',
 !     :               xt(index_trac(izone,iso_eau),i,k),
@@ -1575,11 +1575,11 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        real t(klon,klev)
+        REAL t(klon,klev)
         ! locals
-        integer izone_temp 
-        integer ixt,ixt_recoit
-        integer k,i,izone,iiso
+        INTEGER izone_temp
+        INTEGER ixt,ixt_recoit
+        INTEGER k,i,izone,iiso
         !integer find_index
 
@@ -1594,5 +1594,5 @@
                ! sauf la revap
                ! le tag de la revap est nzone_temp+1=ntraceurs_zone
-               if (izone.lt.izone_temp) THEN
+               IF (izone.lt.izone_temp) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1630,15 +1630,15 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        real rh(klon,klev)
-        real lat(klon)
-        real pres(klev)
+        REAL rh(klon,klev)
+        REAL lat(klon)
+        REAL pres(klev)
         ! locals
-        integer izone_recoit
-        integer ixt,ixt_recoit
-        integer k,i,izone,iiso
-        logical continu
-        real rh_seuil
+        INTEGER izone_recoit
+        INTEGER ixt,ixt_recoit
+        INTEGER k,i,izone,iiso
+        LOGICAL continu
+        REAL rh_seuil
         parameter (rh_seuil=0.90)
         !integer index_zone_latpres
@@ -1656,8 +1656,8 @@
         do k=3,klev
           do i=1,klon
-            if (rh(i,k).gt.rh_seuil) THEN
+            IF (rh(i,k).gt.rh_seuil) THEN
                 izone_recoit=index_zone_latpres(lat(i),pres(k))
                 do izone=1,ntraceurs_zone
-                 if (izone.ne.izone_recoit) THEN
+                 IF (izone.NE.izone_recoit) THEN
                   do iiso=1,niso
                    ixt=index_trac(izone,iiso) ! emmetteur
@@ -1694,20 +1694,20 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        integer boite_map(klon,klev)
+        INTEGER boite_map(klon,klev)
         ! locals
-        integer i,k
-        integer izone_recoit,izone,iiso
-        integer ixt,ixt_recoit
+        INTEGER i,k
+        INTEGER izone_recoit,izone,iiso
+        INTEGER ixt,ixt_recoit
         
         do k=1,klev
           do i=1,klon
             izone_recoit=boite_map(i,k)
-            if (izone_recoit.gt.0) THEN
+            IF (izone_recoit.gt.0) THEN
                 ! on est dans une boite connue
                 ! toutes les molécules sont converties en cete couleur
                do izone=1,ntraceurs_zone
-                  if (izone.ne.izone_recoit) THEN
+                  IF (izone.NE.izone_recoit) THEN
                       ! on met les traceurs izone dans izone_recoit
                       do iiso=1,niso
@@ -1718,5 +1718,5 @@
                         xt(ixt,i,k)=0.0
                       enddo
-                  endif !if (izone.ne.izone_recoit) THEN
+                  endif !if (izone.NE.izone_recoit) THEN
                enddo !do izone=2,ntraceurs_zone
             endif !if (izone_recoit.gt.0) THEN
@@ -1748,15 +1748,15 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        real rlat(klon)
+        REAL rlat(klon)
         ! locals
-        integer i,k
-        integer iiso,ixt,ixt_recoit
+        INTEGER i,k
+        INTEGER iiso,ixt,ixt_recoit
        
 !        WRITE(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
         do k=1,klev
           do i=1,klon
-            if (abs(rlat(i)).gt.lim_tag20) THEN
+            IF (abs(rlat(i)).gt.lim_tag20) THEN
                 ! on met les traceurs izone_trop dans izone_extra
                 do iiso=1,niso
@@ -1784,5 +1784,5 @@
         SUBROUTINE isotrac_recolorise_conv(xt,rlat,presnivs,rain_con)
         USE dimphy, ONLY: klon,klev
-        use isotrac_mod, ONLY: lim_precip_tag22, &
+        USE isotrac_mod, ONLY: lim_precip_tag22, &
 &       izone_conv_BT,izone_conv_UT
 #ifdef ISOVERIF
@@ -1796,12 +1796,12 @@
 
         ! inout
-        real xt(ntraciso,klon,klev)
+        REAL xt(ntraciso,klon,klev)
         ! input
-        real rlat(klon)
-        real presnivs(klev)
-        real rain_con(klon)
+        REAL rlat(klon)
+        REAL presnivs(klev)
+        REAL rain_con(klon)
         ! locals
-        integer i,k
-        integer iiso,ixt,ixt_recoit,izone
+        INTEGER i,k
+        INTEGER iiso,ixt,ixt_recoit,izone
        
 !        WRITE(*,*) 'iso_traceurs_routines 723: lim_tag20=',lim_tag20
@@ -1811,12 +1811,12 @@
           do i=1,klon
 #ifdef ISOVERIF
-          if ((abs(rlat(i)).lt.30.0).and.(k.eq.1)) THEN
+          IF ((abs(rlat(i)).lt.30.0).AND.(k.EQ.1)) THEN
           endif
 #endif          
-            if ((abs(rlat(i)).lt.30.0).and. &
+            IF ((abs(rlat(i)).lt.30.0).AND. &
                   (rain_con(i)*86400.gt.lim_precip_tag22)) THEN
                 ! on met les traceurs izone_trop dans izone_conv fn z                
                 do iiso=1,niso
-                  if (presnivs(k).gt.650.0*100.0) THEN
+                  IF (presnivs(k).gt.650.0*100.0) THEN
                     ixt_recoit=index_trac(izone_conv_BT,iiso) 
                   else
@@ -1825,9 +1825,9 @@
                   do izone=1,ntraceurs_zone
                     ixt=index_trac(izone,iiso)
-                    if (ixt.ne.ixt_recoit) THEN
+                    IF (ixt.NE.ixt_recoit) THEN
                         xt(ixt_recoit,i,k)=xt(ixt_recoit,i,k) &
                                +xt(ixt,i,k)
                         xt(ixt,i,k)=0.0
-                    endif !if (ixt.ne.ixt_recoit) THEN
+                    endif !if (ixt.NE.ixt_recoit) THEN
                   enddo !do izone=1,ntraceurs_zone
                 enddo !do iiso=1,niso
@@ -1859,10 +1859,10 @@
         IMPLICIT NONE
 
-        real lat(klon),lon(klon)
-        real presnivs(klev)
+        REAL lat(klon),lon(klon)
+        REAL presnivs(klev)
         ! output
-        integer boite_map(klon,klev)
+        INTEGER boite_map(klon,klev)
         ! locals
-        integer i,k
+        INTEGER i,k
 
 !        WRITE(*,*) 'izone_aej,izone_mousson,izone_harmattan=',
@@ -1873,23 +1873,23 @@
 !                WRITE(*,*) 'i,k,lat,lon,pres=',
 !     :                   i,k,lat(i),lon(i),presnivs(k)
-                if ((presnivs(k).le.700.0*100.0).and. &
-                    (presnivs(k).gt.400.0*100.0).and. &
-                    (lat(i).gt.8.0).and. &
-                    (lat(i).lt.20.0).and. &
-                    (lon(i).gt.10.0).and. &
+                IF ((presnivs(k).le.700.0*100.0).AND. &
+                    (presnivs(k).gt.400.0*100.0).AND. &
+                    (lat(i).gt.8.0).AND. &
+                    (lat(i).lt.20.0).AND. &
+                    (lon(i).gt.10.0).AND. &
                     (lon(i).lt.30.0)) THEN
                    boite_map(i,k)=izone_aej
 !                   WRITE(*,*) '   -> zone AEJ'
-                else if ((presnivs(k).ge.850.0*100.0).and. &
-                    (lat(i).gt.-5.0).and. &
-                    (lat(i).le.8.0).and. &
-                    (lon(i).gt.-40.0).and. &
+                ELSE IF ((presnivs(k).ge.850.0*100.0).AND. &
+                    (lat(i).gt.-5.0).AND. &
+                    (lat(i).le.8.0).AND. &
+                    (lon(i).gt.-40.0).AND. &
                     (lon(i).lt.15.0)) THEN
                    boite_map(i,k)=izone_mousson
 !                   WRITE(*,*) '   -> zone flux de mousson'
-                else if ((presnivs(k).gt.700.0*100.0).and. &
-                    (lat(i).ge.20.0).and. &
-                    (lat(i).lt.30.0).and. &
-                    (lon(i).gt.-10.0).and. &
+                ELSE IF ((presnivs(k).gt.700.0*100.0).AND. &
+                    (lat(i).ge.20.0).AND. &
+                    (lat(i).lt.30.0).AND. &
+                    (lon(i).gt.-10.0).AND. &
                     (lon(i).lt.40.0)) THEN
                    boite_map(i,k)=izone_harmattan
@@ -1906,5 +1906,5 @@
         SUBROUTINE boite_UT_extra_init(lat,lon,presnivs,boite_map)
         USE dimphy, ONLY: klon,klev
-        use isotrac_mod, ONLY: izone_extra,izone_trop
+        USE isotrac_mod, ONLY: izone_extra,izone_trop
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -1912,10 +1912,10 @@
         IMPLICIT NONE
 
-        real lat(klon),lon(klon)
-        real presnivs(klev)
+        REAL lat(klon),lon(klon)
+        REAL presnivs(klev)
         ! output
-        integer boite_map(klon,klev)
+        INTEGER boite_map(klon,klev)
         ! locals
-        integer i,k
+        INTEGER i,k
 
 !        WRITE(*,*) 'izone_trop,izone_extra=',
@@ -1926,9 +1926,9 @@
 !                WRITE(*,*) 'i,k,lat,lon,pres=',
 !     :                   i,k,lat(i),lon(i),presnivs(k)
-                if ((presnivs(k).le.500.0*100.0) &
-                    .and.(abs(lat(i)).lt.15.0)) THEN
+                IF ((presnivs(k).le.500.0*100.0) &
+                    .AND.(abs(lat(i)).lt.15.0)) THEN
                    boite_map(i,k)=izone_trop
 !                   WRITE(*,*) '   -> zone trop'
-                else if (abs(lat(i)).gt.35.0) THEN
+                ELSE IF (abs(lat(i)).gt.35.0) THEN
                    boite_map(i,k)=izone_extra
 !                   WRITE(*,*) '   -> zone extratropiques'
@@ -1943,13 +1943,13 @@
 
         function index_zone_lat(lat)
-        use isotrac_mod, ONLY: lattag_min,dlattag,nzone_lat
+        USE isotrac_mod, ONLY: lattag_min,dlattag,nzone_lat
         IMPLICIT NONE
 
         ! inputs
-        real lat,pres
+        REAL lat,pres
         ! output 
-        integer index_zone_lat
-
-        if (lat.lt.lattag_min) THEN
+        INTEGER index_zone_lat
+
+        IF (lat.lt.lattag_min) THEN
                 index_zone_lat=1
         else
@@ -1963,11 +1963,11 @@
 
         function index_zone_pres(pres)
-        use isotrac_mod, ONLY: nzone_pres,zone_pres
+        USE isotrac_mod, ONLY: nzone_pres,zone_pres
         IMPLICIT NONE
 
         ! inputs
-        real lat,pres
+        REAL lat,pres
         ! output 
-        integer index_zone_pres
+        INTEGER index_zone_pres
         !integer find_index
 
@@ -1985,15 +1985,15 @@
 
         ! inputs
-        real pres
-        integer nzone_pres
-        real zone_pres(nzone_pres)
+        REAL pres
+        INTEGER nzone_pres
+        REAL zone_pres(nzone_pres)
         ! output 
-        integer find_index
-        logical continu
-
-        if (nzone_pres.gt.1) THEN
-          if (pres.ge.zone_pres(1)) THEN
+        INTEGER find_index
+        LOGICAL continu
+
+        IF (nzone_pres.gt.1) THEN
+          IF (pres.ge.zone_pres(1)) THEN
                 find_index=1
-          else if (pres.lt.zone_pres(nzone_pres-1)) THEN
+          ELSE IF (pres.lt.zone_pres(nzone_pres-1)) THEN
                 find_index=nzone_pres
           else !if (t(i,k).ge.zone_temp1) THEN
@@ -2001,5 +2001,5 @@
                 find_index=2
                 do while (continu)
-                  if (pres.ge.zone_pres(find_index)) THEN
+                  IF (pres.ge.zone_pres(find_index)) THEN
                      continu=.FALSE.
                      ! c'est izone_temp, zone trouvée
@@ -2015,14 +2015,14 @@
 
         function index_zone_latpres(lat,pres)
-        use isotrac_mod, ONLY: nzone_lat
+        USE isotrac_mod, ONLY: nzone_lat
         IMPLICIT NONE
 
         ! inputs
-        real lat,pres
+        REAL lat,pres
         ! output 
-        integer index_zone_latpres
+        INTEGER index_zone_latpres
         ! locals
-        integer index_lat
-        integer index_pres
+        INTEGER index_lat
+        INTEGER index_pres
         !integer index_zone_lat
         !integer index_zone_pres
@@ -2040,5 +2040,5 @@
         USE dimphy, ONLY: klon,klev
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau
-        use isotrac_mod, ONLY: option_seuil_tag_tmin,izone_cond, &
+        USE isotrac_mod, ONLY: option_seuil_tag_tmin,izone_cond, &
 &       nzone_temp,zone_temp
 #ifdef ISOVERIF
@@ -2055,22 +2055,22 @@
 
         ! inputs
-        real qt
-        real cond
-        real tcond
-        real ep
-        real xt(ntraciso)
-        real zxtcond(ntraciso)
-        real seuil_in
+        REAL qt
+        REAL cond
+        REAL tcond
+        REAL ep
+        REAL xt(ntraciso)
+        REAL zxtcond(ntraciso)
+        REAL seuil_in
         ! outputs
-        real xtres(ntraciso)
+        REAL xtres(ntraciso)
         ! locals
-        integer izone_temp,izone 
-        integer ixt,ixt_recoit
-        integer iiso
+        INTEGER izone_temp,izone
+        INTEGER ixt,ixt_recoit
+        INTEGER iiso
         !integer find_index
-        real fcond, qmicro
+        REAL fcond, qmicro
 !        real f
 
-        if ((cond.gt.0.0).and.(qt.gt.0.0)) THEN
+        IF ((cond.gt.0.0).AND.(qt.gt.0.0)) THEN
             izone_temp=find_index(tcond,nzone_temp,zone_temp)
 !            WRITE(*,*) 'pgm 901 tmp: izone_temp=',izone_temp    
@@ -2086,5 +2086,5 @@
 #endif           
           ! bidouille
-          if (bidouille_anti_divergence) THEN
+          IF (bidouille_anti_divergence) THEN
               CALL iso_verif_traceur_jbidouille(xt)
               CALL iso_verif_traceur_jbidouille(zxtcond)
@@ -2111,5 +2111,5 @@
 !     :                   cond/qt,seuil_in,izone_temp
 
-             if (option_seuil_tag_tmin.eq.2) THEN
+             IF (option_seuil_tag_tmin.EQ.2) THEN
                  qmicro=0.0
                  do izone=nzone_temp+1,ntraceurs_zone 
@@ -2117,5 +2117,5 @@
                    qmicro=qmicro+xt(ixt)
                  enddo !do izone=nzone_temp+1,ntraceurs_zone
-                 if (qt-qmicro.gt.0.0) THEN
+                 IF (qt-qmicro.gt.0.0) THEN
                      fcond=(cond-qmicro)/(qt-qmicro)
                  else
@@ -2126,8 +2126,8 @@
              endif
        
-             if (fcond.gt.seuil_in) THEN
+             IF (fcond.gt.seuil_in) THEN
              ! on les transfert à izone_temp
              do izone=1,ntraceurs_zone
-               if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) THEN
+               IF ((izone.gt.nzone_temp).OR.(izone.lt.izone_temp)) THEN
 !                 ieau=index_trac(izone,iso_eau)
                  do iiso=1,niso  
@@ -2144,5 +2144,5 @@
                  enddo !do iiso=1,niso
 !                 WRITE(*,*) 'iso_trac tmp 944: izone,xtres=',izone,xtres
-                endif !if (izone.ne.izone_cond) THEN
+                endif !if (izone.NE.izone_cond) THEN
               enddo !do izone=nzones_temp+1,ntraceurs_zone
 
@@ -2150,10 +2150,10 @@
                 ! on les laisse sur place
                do izone=1,ntraceurs_zone
-                if ((izone.gt.nzone_temp).or.(izone.lt.izone_temp)) THEN
+                IF ((izone.gt.nzone_temp).OR.(izone.lt.izone_temp)) THEN
                  do iiso=1,niso  
                    ixt= index_trac(izone,iiso)    
                    xtres(ixt)=(xt(ixt)-zxtcond(ixt))
                  enddo !do iiso=1,niso
-                endif !if (izone.ne.izone_cond) THEN
+                endif !if (izone.NE.izone_cond) THEN
                enddo !do izone=nzones_temp+1,ntraceurs_zone
 
@@ -2189,5 +2189,5 @@
 
              ! on rajoute le condensat qui ne precipite pas
-             if (ep.lt.1.0) THEN
+             IF (ep.lt.1.0) THEN
                do iiso=1,niso    
                    ixt= index_trac(izone_cond,iiso) 
@@ -2207,6 +2207,6 @@
         endif ! if (qt.gt.0.0) THEN
 #ifdef ISOVERIF
-        if (iso_verif_traceur_jm_nostop(xtres, &
-                'iso_trac_routines 166').eq.1) THEN
+        IF (iso_verif_traceur_jm_nostop(xtres, &
+                'iso_trac_routines 166').EQ.1) THEN
           WRITE(*,*) 'isotrac 1024: xt=',xt
           WRITE(*,*) 'zxtcond=',zxtcond
@@ -2220,7 +2220,7 @@
           CALL iso_verif_positif(xtres(ixt),'iso_trac_routines 953')
         enddo
-        if (nzone_temp.ge.5) THEN
-        if (iso_verif_tag17_q_deltaD_chns(xtres, &
-                 'iso_trac_routines 1025').eq.1) THEN
+        IF (nzone_temp.ge.5) THEN
+        IF (iso_verif_tag17_q_deltaD_chns(xtres, &
+                 'iso_trac_routines 1025').EQ.1) THEN
             WRITE(*,*) 'xt=',xt
             WRITE(*,*) 'zxtcond=',zxtcond
@@ -2240,5 +2240,5 @@
         SUBROUTINE bassin_map_init_opt20(lat,bassin_map)
         USE dimphy, ONLY: klon
-        use isotrac_mod, ONLY: izone_cont,izone_trop,lim_tag20
+        USE isotrac_mod, ONLY: izone_cont,izone_trop,lim_tag20
 #ifdef ISOVERIF
         USE isotopes_verif_mod
@@ -2247,13 +2247,13 @@
 
         ! inputs
-        real lat(klon)
+        REAL lat(klon)
         ! output
-        integer bassin_map(klon)
+        INTEGER bassin_map(klon)
         ! locals
-        integer i
+        INTEGER i
 
         WRITE(*,*) 'iso_traceurs_routines 1142: lim_tag20=',lim_tag20
         do i=1,klon
-         if (abs(lat(i)).gt.lim_tag20) THEN
+         IF (abs(lat(i)).gt.lim_tag20) THEN
              bassin_map(i)=izone_cont
          else  
@@ -2268,25 +2268,25 @@
         USE lmdz_geometry, ONLY: latitude_deg
         USE dimphy, ONLY: klon,klev
-        use isotrac_mod, ONLY: option_traceurs,boite_map
+        USE isotrac_mod, ONLY: option_traceurs,boite_map
         IMPLICIT NONE
 
         ! inputs
-        real, dimension(ntraciso,klon,klev), intent(in) :: xt_seri
-        real, dimension(klon,klev), intent(in) :: t_seri
-        real, dimension(klon,klev), intent(in) :: zx_rh
-        real, dimension(klev), intent(in) :: presnivs
-
-              if (option_traceurs.eq.4) THEN
+        REAL, DIMENSION(ntraciso,klon,klev), INTENT(IN) :: xt_seri
+        REAL, DIMENSION(klon,klev), INTENT(IN) :: t_seri
+        REAL, DIMENSION(klon,klev), INTENT(IN) :: zx_rh
+        REAL, DIMENSION(klev), INTENT(IN) :: presnivs
+
+              IF (option_traceurs.EQ.4) THEN
          CALL isotrac_recolorise_tmin(xt_seri,t_seri)
-      elseif ((option_traceurs.eq.5).or. &
-                  (option_traceurs.eq.21)) THEN
+      elseif ((option_traceurs.EQ.5).OR. &
+                  (option_traceurs.EQ.21)) THEN
         CALL isotrac_recolorise_boite(xt_seri,boite_map)
-      elseif (option_traceurs.eq.13) THEN
+      elseif (option_traceurs.EQ.13) THEN
         CALL isotrac_recolorise_tmin_sfrev(xt_seri,t_seri)
-      elseif (option_traceurs.eq.14) THEN
+      elseif (option_traceurs.EQ.14) THEN
         CALL isotrac_recolorise_saturation(xt_seri,zx_rh,latitude_deg,presnivs)
-      elseif (option_traceurs.eq.20) THEN
+      elseif (option_traceurs.EQ.20) THEN
         CALL isotrac_recolorise_extra(xt_seri,latitude_deg)
-      endif !if (option_traceurs.eq.4) THEN
+      endif !if (option_traceurs.EQ.4) THEN
         END SUBROUTINE  isotrac_recolorise_general
 
@@ -2302,12 +2302,12 @@
         ! version vectrisée de iso_verif_traceur_jbidouille
             ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
 
        ! locals
-       integer iiso,izone,ixt,i,j
-       real xtractot(n,m)
+       INTEGER iiso,izone,ixt,i,j
+       REAL xtractot(n,m)
                 
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
         do iiso=1,niso
 
@@ -2334,5 +2334,5 @@
              do i=1,n
 !              if (abs(xtractot(i,j)).gt.ridicule*10) THEN
-               if (abs(xtractot(i,j)).gt.ridicule) THEN
+               IF (abs(xtractot(i,j)).gt.ridicule) THEN
                    ! modif le 19 fev 2011
                   x(ixt,i,j)=x(ixt,i,j)/xtractot(i,j)*x(iiso,i,j) 
@@ -2347,5 +2347,5 @@
 !           do j=1,m
 !             do i=1,n
-!              if ((abs(xtractot(i,j)).lt.1e-18).and.
+!              if ((abs(xtractot(i,j)).lt.1e-18).AND.
 !     :           (x(iiso,i,j).gt.ridicule)) THEN
 !                  x(ixt,i,j)=x(iiso,i,j)
@@ -2366,11 +2366,11 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
 
        ! locals
-       integer iiso,izone,ixt
-       real xtractot
+       INTEGER iiso,izone,ixt
+       REAL xtractot
         
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
         do iiso=1,niso
 
@@ -2383,5 +2383,5 @@
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule*10) THEN
+              IF (abs(xtractot).gt.ridicule*10) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2413,11 +2413,11 @@
           
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
 
        ! locals
-       integer iiso,izone,ixt
-       real xtractot,xtractotprec
+       INTEGER iiso,izone,ixt
+       REAL xtractot,xtractotprec
         
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
 !            WRITE(*,*) 'pgm 532 tmp: x=',x
         do iiso=1,niso
@@ -2434,8 +2434,8 @@
 !     :          iiso,xtractotprec,xtractot
          
-          if (xtractot.gt.xtractotprec) THEN
+          IF (xtractot.gt.xtractotprec) THEN
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule) THEN
+              IF (abs(xtractot).gt.ridicule) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2473,13 +2473,13 @@
        
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
 
        ! locals
-       integer iiso,izone,ixt
-       real xtractot(n,m),xtractotprec(n,m)
-       integer i,j
+       INTEGER iiso,izone,ixt
+       REAL xtractot(n,m),xtractotprec(n,m)
+       INTEGER i,j
         
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
 !            WRITE(*,*) 'pgm 532 tmp: x=',x
                
@@ -2508,8 +2508,8 @@
          do j=1,m 
          do i=1,n
-          if (xtractot(i,j).gt.xtractotprec(i,j)) THEN
+          IF (xtractot(i,j).gt.xtractotprec(i,j)) THEN
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot(i,j)).gt.ridicule) THEN
+              IF (abs(xtractot(i,j)).gt.ridicule) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2546,5 +2546,5 @@
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
 #ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
 #endif        
         IMPLICIT NONE
@@ -2558,18 +2558,18 @@
     
        ! inputs
-       real x(ntraciso),q
+       REAL x(ntraciso),q
 
        ! locals
-       integer iiso,izone,ixt,ieau
-       real dqtmp,factmp
+       INTEGER iiso,izone,ixt,ieau
+       REAL dqtmp,factmp
         
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
 !        WRITE(*,*) 'iso_verif_trac 578 tmp: q,xt=',
 !     :                q,x(1:ntraciso)
-        if (q.gt.0.0) THEN
+        IF (q.gt.0.0) THEN
               dqtmp=0.0
               do izone=1,ntraceurs_zone
                 ieau=index_trac(izone,iso_eau)
-                if (x(ieau).lt.0.0) THEN
+                IF (x(ieau).lt.0.0) THEN
 !                    WRITE(*,*) 'local_x<0 pour izone=',izone
                     dqtmp=dqtmp-x(ieau)
@@ -2581,5 +2581,5 @@
               enddo !do izone=1,ntraceurs_zone
 !              WRITE(*,*) 'dqtmp=',dqtmp
-              if (dqtmp.gt.0.0) THEN
+              IF (dqtmp.gt.0.0) THEN
 !                  WRITE(*,*) 'iso_verif_trac 593 warning: q,dqtmp,xt=',
 !     :                q,dqtmp,x(1:ntraciso)
@@ -2592,5 +2592,5 @@
                      do izone=1,ntraceurs_zone
                        ieau=index_trac(izone,iso_eau)
-                       if (x(ieau).gt.0.0) THEN
+                       IF (x(ieau).gt.0.0) THEN
                           do iiso=1,niso    
                              ixt=index_trac(izone,iiso)
@@ -2618,12 +2618,12 @@
            
        ! inputs
-       integer n
-       real x(ntraciso,n)
+       INTEGER n
+       REAL x(ntraciso,n)
 
        ! locals
-       integer iiso,izone,ixt,i
-       real xtractot
+       INTEGER iiso,izone,ixt,i
+       REAL xtractot
         
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
         do i=1,n
         do iiso=1,niso
@@ -2637,5 +2637,5 @@
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule*10) THEN
+              IF (abs(xtractot).gt.ridicule*10) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2653,5 +2653,5 @@
 
         SUBROUTINE iso_verif_traceur_pbidouille(x,err_msg)
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2665,5 +2665,5 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
@@ -2671,5 +2671,5 @@
        !integer iso_verif_traceur_pbid_ns
 
-        if (iso_verif_traceur_pbid_ns(x,err_msg).eq.1) THEN
+        IF (iso_verif_traceur_pbid_ns(x,err_msg).EQ.1) THEN
             stop
         endif
